Bug 446327 - telinit: Unable to send message: Connection refused
telinit: Unable to send message: Connection refused
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libselinux (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-14 00:15 EDT by Ralf Corsepius
Modified: 2008-09-17 13:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-17 13:07:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2008-05-14 00:15:09 EDT
Description of problem:
During a yum upgrade from FC8->FC9, I received the following error message

...
 Updating  : libselinux                   ################### [ 224/1499] 
telinit: Unable to send message: Connection refused
...

which seems to originate from this scriptlet of libselinux's rpm:
# rpm -q --scripts -p libselinux-2.0.61-1.fc9.i386.rpm
postinstall scriptlet (using /bin/sh):
/sbin/ldconfig
[ -x /sbin/telinit -a -p /dev/initctl -a -f /proc/1/exe -a -d /proc/1/root ] &&
/sbin/telinit u
exit 0

Apparently, this scriptlet is non-functional.

Version-Release number of selected component (if applicable):
libselinux-2.0.61-1.fc9.i386
rsp.
libselinux-2.0.43-1.fc8.i386

Additional info:
This happened on an FC8-i686-system with all FC8-updates installed, while 
"yum updating" to FC9, running while still running kernel-2.6.24.5-85.fc8 with
selinux enabled (permissive/targeted)
Comment 1 Daniel Walsh 2008-05-14 08:35:32 EDT
Bill any ideas?
Comment 2 Daniel Walsh 2008-05-14 08:36:24 EDT
BTW, You can safely ignore this message for now.
Comment 3 Ralf Corsepius 2008-05-14 09:53:26 EDT
Wild guess: "sysvinit" vs. "startup" package installation ordering issues
combined with SELinux issues 
(This is the same machine as in https://bugzilla.redhat.com/show_bug.cgi?id=446332)
Comment 4 Bill Nottingham 2008-05-14 13:34:24 EDT
upstart was installed first. It handles telinit u, which *first* tries to talk
to upstart, gets ECONNREFUSED, and then talks to old sysv init. So the message
is harmless.

That being said, it won't work once you're fully in native upstart, as
/dev/initctl won't be there.
Comment 5 Daniel Walsh 2008-05-15 12:08:00 EDT
So I don't really need it any more with Fedora 9 and beyond.

I don't think upstart links with libselinux so I can just remove this from
postinstall for f9 and beyond correct?
Comment 6 Bill Nottingham 2008-05-15 12:22:24 EDT
Correct. At least, until upstart grows a dep on it.
Comment 7 Daniel Walsh 2008-05-16 14:57:18 EDT
Fixed in libselinux-2.0.64-3

Note You need to log in before you can comment on or make changes to this bug.